Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.event
Interface RemoteCommitProvider

All Known Implementing Classes:
  RemoteCommitProviderImpl

public interface RemoteCommitProvider

An entity that is responsible for communicating commit notification to other PersistenceManagerFactories. Each PersistenceManagerFactory creates a RemoteCommitProvider, based on the values of the `com.solarmetric.kodo.runtime.RemoteCommitProviderClass` and `com.solarmetric.kodo.runtime.RemoteCommitProviderProperties` configuration properties.

An adapter that implements `TransactionCommitListener` is registered with each `PersistenceManagerImpl`. This adapter invokes `broadcastCommitInfo`, which is responsible for notifying other RemoteCommitProvider objects of the commit changes.

Upon receiving a notification from a different RemoteCommitProvider, a provider must notify its `PersistenceManagerFactoryImpl`'s `RemoteCommitListener` objects via the `PersistenceManagerFactoryImpl.notifyRemoteCommitListeners(java.util.Set, java.util.Set, java.util.Set)` method.

A RemoteCommitProvider must not notify its PersistenceManagerFactory of commits that originated with a PersistenceManager created from its PersistenceManagerFactory.

Since:
  2.5.0

Method Summary
`void` | `broadcastCommitInfo(Set adds, Set updates, Set deletes)` Notifies other PersistenceManagerFactory objects in this JVM and on other machines of changes to the cache.
`void` | `close()` Close any resources used by this provider
`void` | `setPersistenceManagerFactory(PersistenceManagerFactoryImpl factory)` Set the `PersistenceManagerFactoryImpl` to which this provider should transmit commit information.

Method Detail

### broadcastCommitInfo

    public void broadcastCommitInfo(Set adds,
                                    Set updates,
                                    Set deletes)

  Notifies other PersistenceManagerFactory objects in this JVM and on other machines of changes to the cache. This method must not notify the PersistenceManagerFactory associated with the PersistenceManager that originated this commit.

  `adds`, `updates`, and `deletes` are sets of object IDs that were added, updated, or deleted.

### setPersistenceManagerFactory

    public void setPersistenceManagerFactory(PersistenceManagerFactoryImpl factory)

  Set the `PersistenceManagerFactoryImpl` to which this provider should transmit commit information.

### close

    public void close()

  Close any resources used by this provider

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.